%{?nodejs_find_provides_and_requires}

# koji doesn't seem to like the integration tests. In a local mock build,
# the tests run fine and all pass.
%global enable_tests 0

Name:       nodejs-ain2
Version:    1.2.1
Release:    4%{?dist}
Summary:    A Node.js module for syslog logging (and a continuation of ain)
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/phuesler/ain
Source0:    http://registry.npmjs.org/ain2/-/ain2-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
This module provides syslog logging for Node.js.

Ain2 is written with full compatibility with the Node.js console module.
It implements all console functions and formatting. Ain2 also supports UTF-8.

Ain2 can send messages by UDP to 127.0.0.1:514 or to the a Unix socket such
as /dev/log.


%prep
%setup -q -n package
for i in CHANGELOG.md LICENSE readme.md; do
    sed 's/\r//' "${i}" > "${i}.new"
    touch -r "${i}" "${i}.new"
    mv "${i}.new" "${i}"
done


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ain2
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/ain2

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/integration.js
%endif


%files
%doc CHANGELOG.md LICENSE readme.md
%{nodejs_sitelib}/ain2


%changelog
* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-4
- preserve timestamps when fixing new-line encoding

* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-3
- disable tests as koji doesn't seem to like them (though they all pass
  in a local mock build)

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-2
- fix wrong file end of line encoding

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-1
- initial package
